.\" @(#)$Id: facesdb.man,v 1.3 1995/03/10 17:30:29 kooper Exp $
.\" tbl faces.man | nroff -man | col -b
.TH FACESDB 1 "March 10 1995"
.SH NAME
facesdb \- support program for the faces database.
.SH SYNOPSIS
.B "facesdb
[
.B \-list
] [
.B \-add
] [
.B \-link
] [
.B \-linkto
.I address
] [
.B \-convert
.I directory
] [
.B \-extract
] [
.B \-dbase
.I filename
] [
.BI \-email
.I address
] [
.B \-image
.I filename
] [
.B \-major
.I type
] [
.B \-minor
.I type
] [
.B \-xoptions
]
.SH DESCRIPTION
.I Facesdb
is a xwindows program that can change the faces database. The faces
database is used by the faceslibrary, to find an appropriate face with
an email address. The program has 2 modes of opperation:
.PP
The default mode is using the Xwindows interface, the other mode is
the commandline mode. To enter the command line mode use one of the
following switches:
.BR \-list
.BR \-add
.BR \-link
.BR \-linkto
.BR \-convert
.BR \-extract
or
.BR \-delete
.SH OPTIONS
.TP 12
.B \-v
Print the version number.
.TP
.B \-list
List the image(s) in the database. This option requires that at least
the
.BR \-dbase
is given. If the
.BR \-email 
option is not given, it will list all the faces in the database. If
the
.BR \-email 
option is given then it will list all the faces of that person in the
database.
.TP
.B \-add
This option will add a new image to the database, or replace an
already existing image. When using this option the following options
have to be used as well:
.BR \-dbase
.BR \-email
.BR \-image
.BR \-major
and
.BR \-minor.
.TP
.B \-delete
Deletes an image from the database. This option requires the following
options to be given as well:
.BR \-dbase
and
.BR \-email.
If you give eiter,
.BR \-major
and/or
.BR \-minor
the only the images with these properties will be deleted. If you
don't give these switches then the name will be deleted from the
database.
.TP
.B \-extract
Extracts information from the database and writes it to disk. This is
not yet implemented.
.TP
.B \-link
This option does exactly the same as the
.BR \-add
option, but instead of inserting the imagefile in the database, it
will only add the filename to the database. This option has two
disadvantages: When moving the imagefile or when the complete filename
was not give on the call, the faceslibrary can not find the
image. Also when this database is distributed to other people the
image is not in the database, and can thus not be found.
.TP
.BI \-convert " directory"
This option will convert an old style database, the
directorystructure, to the a new style database. The database will be
called
.I directory.gdbm.
.TP
.BI \-linkto "  address"
This will create a link from one name to another. When searching the
database the faces library will look to see if an face could be found
at the linked name. It will only look for that particular name. If
there was nothing found, the library will continue searching with the
original name. This option requires the following switches:
.BR \-dbase
and
.BR \-email.
.PP
The following options can be given even when the program is not
running on the commandline. The program will put the values in the
fill in form.
.TP
.BI \-dbase "   filename"
The name of the database to use.
.TP
.BI \-email "   address"
The email address of the person whose image will be added.
.TP
.BI \-image "   filename"
The filename of the image you want to be added to the database.
.TP
.BI \-major "   type"
.TP
.BI \-minor "   type"
These two form the MIME type, as in image/gif, audio/sun.
.SH "X RESOURCES"
You can set the following resources so that some of the more common
values are already filled in.
.TP
.B FacesDB.Function
Can be
.I 0,
list the faces,
.I 1,
add a face,
.I 2,
delete a face,
.I 3,
extract a face,
.I 4,
link an image into the database and
.I 99,
show the version. It, is however not wise to change the behaviour in
your Xdefaults file as the program will then always perform this
function, you can offcourse override the function on the command line.
.TP
.B FacesDB.Database
The name of the database to use, this is the same as the
.BR \-dbase
option. This can be interesting to set if you want all your own faces
to be added to a particular database.
.TP
.B FacesDB.Address
The default email address to use, this is the same as the
.BR \-email
option.
.TP
.B FacesDB.Image
The default image to use, this is the same as the
.BR \-image
option.
.TP
.B FacesDB.Major
.TP
.B FacesDB.Minor
The two options set the MIME type, these are the same as the
.BR \-major
and the
.BR \-minor
option. These two options might be interesting to set. If you know
beforehand that most operations will be on image/xpm then you can set
these two flags to reflect this.
.TP
.B FacesDB.Convert
will hold the directory to convert, this is the same as the
.BR \-convert
option.
.TP
.B FacesDB.LinkTo
will hold the email address of the face information that should be
instead. This is the same as the
.BR \-linkto
option.
.SH "SEE ALSO"
faces(1), libfaces(3), compface(1), uncompface(1), compface(3),
mail(1), sendmail(8)
.SH BUGS
There are probably bugs somewhere, and some things can be done
better. If you find anything, please send me email.
.SH AUTHOR
Rob Kooper (kooper@cc.gatech.edu)
.SH ACKNOWLEDGEMENTS
Thanks go to Steve Kinzler (kinzler@indiana.edu) for helping me with
the database format, James Ashton for writing the compface library,
and to Christopher B. Liebman (liebman@zod.clark.net) for the
.I xface
program and Rich Burridge for the
.I faces
program.
